org.apache.geode.cache

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.OperationAbortedException
            - - org.apache.geode.cache.TimeoutException

- All Implemented Interfaces:
    java.io.Serializable

      public class TimeoutException
      extends OperationAbortedException

  Thrown if a `netSearch` times out without getting a response back from a cache, or when attempting to acquire a distributed lock.
  Since:
    GemFire 3.0
  See Also:
    `LoaderHelper.netSearch(boolean)`, `Region.invalidateRegion()`, `Region.destroyRegion()`, `Region.createSubregion(java.lang.String, org.apache.geode.cache.RegionAttributes<SK, SV>)`, `Region.get(Object)`, `Region.put(Object, Object)`, `Region.create(Object, Object)`, `Region.invalidate(Object)`, `Region.destroy(Object)`, `DistributedLockService`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutException()` Creates a new instance of `TimeoutException` without detail message.
    `TimeoutException(java.lang.String msg)` Constructs an instance of `TimeoutException` with the specified detail message.
    `TimeoutException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `TimeoutException` with the specified detail message and cause.
    `TimeoutException(java.lang.Throwable cause)` Constructs an instance of `TimeoutException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeoutException

          public TimeoutException()

      Creates a new instance of `TimeoutException` without detail message.

    - #### TimeoutException

          public TimeoutException(java.lang.String msg)

      Constructs an instance of `TimeoutException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### TimeoutException

          public TimeoutException(java.lang.String msg,
                                  java.lang.Throwable cause)

      Constructs an instance of `TimeoutException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### TimeoutException

          public TimeoutException(java.lang.Throwable cause)

      Constructs an instance of `TimeoutException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable